package eu.e99.playerheads.mixin;

import eu.e99.playerheads.PlayerHeads;
import net.minecraft.entity.projectile.ProjectileEntity;
import net.minecraft.item.ArrowItem;
import net.minecraft.item.ItemStack;
import net.minecraft.util.math.Direction;
import net.minecraft.util.math.Position;
import net.minecraft.world.World;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(ArrowItem.class)
public class ArrowItemMixin {

    @Inject(method = "createEntity", at = @At("RETURN"))
    private void playerheads$createEntity(World world, Position pos, ItemStack stack, Direction direction, CallbackInfoReturnable<ProjectileEntity> cir) {
        ProjectileEntity entity = cir.getReturnValue();
        entity.addCommandTag(PlayerHeads.TAG_SHOT_FROM_DISPENSER);
    }
}
